export declare type Callback<R> = (err: Error, result?: Result<R>) => void;
export declare type Done<R> = (results: Result<R>[]) => void;
export declare type Result<T> = T | Error;
export declare type ITask<R> = (() => Promise<R>) | ((cb: Callback<R>) => void);
export declare function parallelLimit<R>(tasks: ITask<R>[], limit: number): Promise<R>;
export declare function parallelLimit<R>(tasks: ITask<R>[], limit: number, cb: Done<R>): void;
